<?php 
date_default_timezone_set('America/Mexico_City');

$longMonth = array("01" => "Enero", "02" => "Febrero", "03"=> "Marzo", "04" => "Abril", "05"=> "Mayo", "06" => "Junio", "07"=> "Julio", "08" => "Agosto", "09"=> "Septiembre", "10" => "Octubre", "11"=> "Noviembre","12" => "Diciembre");
$shortMonth = array("01" => "Ene", "02" => "Feb", "03"=> "Mar", "04" => "Abr", "05"=> "May", "06" => "Jun", "07"=> "Jul", "08" => "Ago", "09"=> "Sept", "10" => "Oct", "11"=> "Nov","12" => "Dic");
$arrOrigenes = array(
	"google" => 0,
	"facebook" => 0,
	"labmoreira" => 0,
	"live" => 0,
	"yahoo" => 0,
	"bing" => 0,
	"prodigy" => 0,
	"babylon" => 0,
	"terra" => 0,
	"itesm" => 0,
	
);
//global $numMaximo;
$numMaximo = 0;

//$actual_link = "http://$_SERVER[HTTP_HOST]";
$actual_link = "";
$pos = strrpos($actual_link, "menu-digital");
if ($pos === false) { // nota: tres signos de igual
	$strUrl = "https://www.180.fitness/";
}else{
	$strUrl = "http://root.menu-digital.com.mx/fitness/";
}
//exit($strUrl);

$strUrlLogin = $strUrl."sistema/login.php";

$sDominio = "180.fitness";
$strDireccion = "Retorno 1 #208-B, Col. Empleados SFEO, Monterrey, N.L., M&eacute;xico, C.P: 64909";
$strTerminos = "Terminos y condiciones:<br/><br/><a href='".$strUrl."terminosycondiciones.php' target='_blank'>Ver terminos y condiciones completo.</a>";
$strTelefonoContacto = "(81) 1224 0567";
$strEmailContacto = "soporte@180.fitness";

function getUrlPath($sUrlImagen, $intTipo){ //urlImagen, carpeta
	global $strUrl;

	$strToReturn = "";
	if(!is_null($intTipo)){
		if($intTipo==1){
			$strUrlPath = $strUrl."sistema/images/usuarios/";
		}else if($intTipo==2){
			$strUrlPath =  $strUrl."sistema/images/instructores/";
		}else if($intTipo==3){
			$strUrlPath =  $strUrl."sistema/images/clientes/";
		}
	}else{
		$strUrlPath =  $strUrl."sistema/images/catalogo/";
	}
	if($sUrlImagen!="" && $sUrlImagen!=NULL){
		$strToReturn = $strUrlPath.$sUrlImagen;	
	}
	return $strToReturn;
}

function fnAutentificar($strUsuario, $strPassword, $strRuta, $strUuid){
	if($strUuid!=''){
		$query = "SELECT t1.*, t2.intTipo as intTipoEmpresa, 
		(Select strNombre FROM tblusuarios t3 WHERE t3.intUsuario=t1.intInstructorAsignado) as strInstructorAsignado,
		TIMESTAMPDIFF(YEAR, t1.datFecNac, CURDATE()) AS intEdad 
		FROM tblusuarios t1 left join tblempresas t2 ON(t1.intEmpresa=t2.intEmpresa)
		WHERE t1.strUuid='".$strUuid."'";
	}else{
		$query = "SELECT t1.*, t2.intTipo as intTipoEmpresa, 
		(Select strNombre FROM tblusuarios t3 WHERE t3.intUsuario=t1.intInstructorAsignado) as strInstructorAsignado,
		TIMESTAMPDIFF(YEAR, t1.datFecNac, CURDATE()) AS intEdad 
		FROM tblusuarios t1 left join tblempresas t2 ON(t1.intEmpresa=t2.intEmpresa)
		WHERE t1.strLogin='".$strUsuario."' AND t1.strPassword='".$strPassword."'";
	}

	$strUrl = "";
	
	$queryResult = mysql_query($query);
	if(mysql_num_rows($queryResult)){
		$row = mysql_fetch_assoc($queryResult);
		
		if (isset($_SESSION)){
			session_destroy();
		}
		session_start();
		
		$_SESSION['user_id'] = $row['intUsuario'];
		$_SESSION['user_name'] = $row['strNombre'];
		$_SESSION['user_login'] = $row['strLogin'];
		$_SESSION['user_type'] = $row['intTipo'];
		$_SESSION['user_sexo'] = $row['strSexo'];
		$_SESSION['user_edad'] = $row['intEdad'];
		$_SESSION['user_fecnac'] = $row['datFecNac'];
		$_SESSION['user_status'] = $row['intEstatus'];
		$_SESSION['user_instructor'] = $row['intInstructorAsignado'];
		$_SESSION['user_nombreinstructor'] = $row['strInstructorAsignado'];
		
		$_SESSION['intEmpresa'] = $row['intEmpresa'];
		$_SESSION['intTipoEmpresa'] = $row['intTipoEmpresa'];
		$_SESSION['user_pago_registrado'] = false;
		
		if($row['intTipo']==1){
			$strUrl = $strRuta."sistema.php?v=1";
		}else if($row['intTipo']==2){
			$strUrl = $strRuta."sistema.php?v=2";
		}else if($row['intTipo']==3){
			$strUrl = $strRuta."sistema.php?v=3";
		}
		
	}else{
		$strUrl = "../iniciar.php?Leyenda=1";
	}
	
	return $strUrl;
}

function getSTRUUID($intUsuario){
	$strUuid = "";
	$query = "SELECT t1.* FROM tblusuarios t1 WHERE t1.intUsuario=".$intUsuario."";
	//exit("query = " . $query);
	$queryResult = mysql_query($query);
	if(mysql_num_rows($queryResult)){
		$row = mysql_fetch_assoc($queryResult);
		$strUuid = $row['strUuid'];
		//exit( " getSTRUUID strUuid = " . $strUuid );

	}else{
		$strUuid = "";
	}
	
	return $strUuid;
}

function fnActivarUsuario($intUsuario, $strUuid){
	$strReturn = "";
	
	global $strTelefonoContacto;
	global $strEmailContacto;
	
	if($intUsuario!="" || $intUsuario!=null){
		//$sqlQuery = "SELECT * FROM tblusuarios WHERE intEstatus = 1 AND intUsuario = ". $intUsuario ." AND strUuid = '". $strUuid ."'";
		$sqlQuery = "SELECT * FROM tblusuarios WHERE intUsuario = ". $intUsuario ." AND strUuid = '". $strUuid ."'";
	}else{
		//$sqlQuery = "SELECT * FROM tblusuarios WHERE intEstatus = 1 AND strUuid = '". $strUuid ."'";
		$sqlQuery = "SELECT * FROM tblusuarios WHERE strUuid = '". $strUuid ."'";
	}
	//exit($sqlQuery);
	
	$queryResult = mysql_query($sqlQuery);
	if(mysql_num_rows($queryResult)){
		$row = mysql_fetch_assoc($queryResult);
					
		$strNombre = $row['strNombre'];
		$strSexo = $row['strSexo'];
		$intEstatus = $row['intEstatus'];
		
		if(intval($intEstatus)==1){
			if($intUsuario!="" || $intUsuario!=null){
				$sqlQueryUp = "UPDATE tblusuarios SET intEstatus = 2 WHERE intUsuario = ". $intUsuario ." AND strUuid = '". $strUuid ."'";
			}else{
				$sqlQueryUp = "UPDATE tblusuarios SET intEstatus = 2 WHERE strUuid = '". $strUuid ."'";
			}
			//exit($sqlQueryUp);
			
			mysql_query($sqlQueryUp);
			if(mysql_affected_rows()>0){
				
				$strReturn = "exito,".$strNombre.",".$strSexo;
				$_SESSION['user_status'] = 2;
		
			}else{
				$strReturn = "Error: No se pudo realizar la activación, favor de marcar al ". $strTelefonoContacto ." para cualquier duda o problema o escribir a ". $strEmailContacto .".";
			}
		}else{
			$strReturn = "Esta cuenta ya se encuentra activada.";
		}
	}else{
		//$strReturn = "Mensaje: Esta cuenta ya se encuentra activada.";
		$strReturn = "Error: No se encuentra el usuario.";
	}
	
	return $strReturn;
}

function enviarEmail($strEmail, $strBody, $strAsunto, $strAdjuntos, $strStyle){
	global $sDominio;
	global $strDireccion;
	global $strEmailContacto;
	
	require_once('phpmailer/class.phpmailer.php');
																				
	$mail = new phpmailer(true);
	
	//*********** DKIM sign
	
	$mail->DKIM_domain = 'labmoreira.com';
	$mail->DKIM_selector = 'mkt';
	  //$mail->DKIM_private = '/path/to/.htkeyprivate';
	  //$domain_priv = file_get_contents('rsa.private', true);
	$mail->DKIM_private = 'rsa.private';
	
	//\*********** DKIM sign

	$mail->IsAmazonSES();
	
	try {
		$Header = "";
		$Header .= "<body>\r\n";
		
		if($strStyle!="" && $strStyle!=null){
			$Header .= $strStyle."\r\n";
		}
		/*$Header .= "<style type='text/css'>\r\n";
			$Header .= "div{ color:#000000; text-align:left; }\r\n";
			$Header .= "ul li{ font-size:13px; color:#19336f; text-align:left; }\r\n";
			$Header .= "p{ font-family:Arial, Verdana, Helvetica; color:#19336f; font-size:13px; color:#19336f; text-align:left; padding-left:0px; }\r\n";
			$Header .= ".clsSubTitle{ font-size:15px; color:#19336f; text-align:left; font-weight:bold; }\r\n";
			
			$Header .= ".clsButton:link {
			  background: #d93434;
			  background-image: -webkit-linear-gradient(top, #d93434, #ad1332);
			  background-image: -moz-linear-gradient(top, #d93434, #ad1332);
			  background-image: -ms-linear-gradient(top, #d93434, #ad1332);
			  background-image: -o-linear-gradient(top, #d93434, #ad1332);
			  background-image: linear-gradient(to bottom, #d93434, #ad1332);
			  -webkit-border-radius: 4;
			  -moz-border-radius: 4;
			  border-radius: 4px;
			  font-family: Arial;
			  color: #fff;
			  font-size: 16px;
			  padding: 10px 20px 10px 20px;
			  text-decoration: none;
			}
			.clsButton:visited {
				 color: #fff;
			}
			.clsButton:hover {
			  background: #b31940;
			  background-image: -webkit-linear-gradient(top, #b31940, #db3434);
			  background-image: -moz-linear-gradient(top, #b31940, #db3434);
			  background-image: -ms-linear-gradient(top, #b31940, #db3434);
			  background-image: -o-linear-gradient(top, #b31940, #db3434);
			  background-image: linear-gradient(to bottom, #b31940, #db3434);
			  text-decoration: none;
			}";

		$Header .= "</style>\r\n";
		*/
		//$strBodyNew = $strBody."<br/><br/><div style='font-size:16px; font-weight:normal;'>". $strDireccion . "</div>";
		$strBodyNew = $strBody."\r\n";
		
		$Footer = "</body>\r\n";
		//$Footer = "\r\n";
		
		$altTextBody = "";
							
		/*-------- CONFIGURACION DE ENVIO DE EMAIL --------*/
		$mail->AddAmazonSESKey("AKIAJIIJLO6SP4JI4F5A", "P+OH+Bw+DtiCP1NfuTtcrnWe5fuQICQhXIoFKH+U"); //labmoreira		
		
		$mail->From = "info@labmoreira.com";
		$mail->FromName = "Laboratorios Dr. Moreira";
		//$mail->AddAddress("ocruz@labmoreira.com", "OMAR CRUZ HOT");
		//$mail->AddAddress("kropijac@gmail.com", "OMAR CRUZ GMAIL");
		//$mail->AddAddress("omar_kro@yahoo.com.mx", "OMAR CRUZ");
		$mail->AddAddress($strEmail);
		
		$mail->Subject = $strAsunto; 
		
		$mail->IsHTML(true);
		$mail->CharSet="UTF-8";
		//$mail->CharSet = "ISO-8859-1";
		$mail->Encoding = "quoted-printable";
		$mail->Body = $Header.$strBodyNew.$Footer;
		$mail->AltBody = $altTextBody;
		
		if($strAdjuntos!="" && $strAdjuntos!=null){
			
			$arrAdjuntos = explode(",", $strAdjuntos);

			for ($i=0; $i<count($arrAdjuntos); $i++) {
				$strAdjunto = trim($arrAdjuntos[$i]);
				$mail->AddAttachment($strAdjunto);
			}

		}
		//Ejemplo como llegan los de instafit
		//List-Unsubscribe: <mailto:unsubscribe-mc.us7_9de33988e1b4856dabbd3fec8.690b16ab1a-fde4580c7a@mailin1.us2.mcsv.net?subject=unsubscribe>, <http://instafit.us7.list-manage1.com/unsubscribe?u=9de33988e1b4856dabbd3fec8&id=962cb39756&e=fde4580c7a&c=690b16ab1a>
		//$mail->addCustomHeader("List-Unsubscribe",'<unsubscribe@180.fitness>, <http://180.fitness/?email='.$strEmail.'>');
		
		$mail->Send(); // send message
		
		return "Email enviado con exito";
		
	} catch (phpmailerException $e) {
		echo $e->errorMessage(); //Pretty error messages from PHPMailer
		return $e->errorMessage();

	} catch (Exception $e) {
		echo $e->getMessage(); //Boring error messages from anything else!
		return $e->errorMessage();

	}
	
}

function liberarPeriodoActivoAdmin($intCliente, $strPeriodo){
	
	$arrFechas = explode(":", $strPeriodo);
	$sJSON = "";
		
	// ACTUALIZO PERIODOS
	$sqlQuery = "UPDATE tblperiodos SET datFechaLiberadoAdmin=CURRENT_TIMESTAMP WHERE intCliente=". $intCliente ." and strPeriodo='".$strPeriodo ."'";
	//$sqlQuery = "UPDATE tblperiodos SET datFechaLiberadoAdmin=CURRENT_TIMESTAMP, intActivo=0 WHERE intCliente=". $intCliente ." and strPeriodo='".$strPeriodo ."'";
	$queryResult = mysql_query($sqlQuery);
	if($queryResult){
		$sJSON .= "exito al liberar periodo";
	}else{
		$sJSON .= "Error,".$sqlQuery;
	}

	/*$sqlQuery = "UPDATE tblperiodos SET datFechaLiberadoAdmin=CURRENT_TIMESTAMP WHERE intCliente=". $intCliente ." and strPeriodo='".$strPeriodo ."'";
	$queryResult = mysql_query($sqlQuery);
	if($queryResult){
		$sJSON .= "exito al liberar periodo";
	}else{
		$sJSON .= "Error,".$sqlQuery;
	}
*/

	// ACTUALIZO RUTINAS
	$sqlQuery2 = "UPDATE tblrutinas SET datFechaLiberadoAdmin=CURRENT_TIMESTAMP WHERE datFecha between '". $arrFechas[0] ."' AND '". $arrFechas[1] ."' AND intCliente = ". $intCliente ." ";
	$queryResult2 = mysql_query($sqlQuery2);
	if($queryResult2){
		$sJSON .= "exito al liberar rutinas";
	}else{
		$sJSON .= "Error,".$sqlQuery2;
	}

	// ACTUALIZO DIETAS
	$sqlQuery3 = "UPDATE tbldietas SET datFechaLiberadoAdmin=CURRENT_TIMESTAMP WHERE datFecha between '". $arrFechas[0] ."' AND '". $arrFechas[1] ."' AND intCliente = ". $intCliente ." ";
	$queryResult3 = mysql_query($sqlQuery3);
	if($queryResult3){
		$sJSON .= "exito al liberar dietas";
	}else{
		$sJSON .= "Error,".$sqlQuery3;
	}

	return $sJSON;
}

function limpiar_caracteres_especiales($s) {
	$s = strtolower($s);
	
	$s = ereg_replace("[áàâãªä@]","a",$s);
	$s = ereg_replace("[ÁÀÂÃÄ]","A",$s);
	$s = ereg_replace("[éèêë]","e",$s);
	$s = ereg_replace("[ÉÈÊË]","E",$s);
	$s = ereg_replace("[íìîï]","i",$s);
	$s = ereg_replace("[ÍÌÎÏ]","I",$s);
	$s = ereg_replace("[óòôõºö]","o",$s);
	$s = ereg_replace("[ÓÒÔÕÖ]","O",$s);
	$s = ereg_replace("[úùûü]","u",$s);
	$s = ereg_replace("[ÚÙÛÜ]","U",$s);
	//$s = str_replace("[¿?\]","_",$s);
	//$s = str_replace(" ","-",$s);
	//$s = str_replace("ñ","n",$s);
	//$s = str_replace("Ñ","N",$s);
	//para ampliar los caracteres a reemplazar agregar lineas de este tipo:
	//$s = str_replace("caracter-que-queremos-cambiar”,”caracter-por-el-cual-lo-vamos-a-cambiar”,$s);
	return $s;
}

function setMaximo($intCuantos){
	global $numMaximo;
	if($intCuantos > $numMaximo){
		$numMaximo = $intCuantos;
	}	
}
function getMaximo(){
	return $numMaximo;
}
function session_validation(){
	if(!isset($_SESSION['intEmpresa'])){
		exit('<script type="text/javascript">location.replace("../iniciar.php")</script>');
	}
}
//FORMATO ESPERADO: YYYY-MM-DD
function dateFormatted($strDate){
	global $shortMonth;
	$data = explode("-",$strDate);
	return $data[2]."/".$shortMonth[$data[1]]."/".$data[0];
}
//FORMATO ESPERADO: YYYYMMDD
function fnDateFormat($strDate){
	global $shortMonth;
	$anio = substr($strDate, 2, 2);
	$mes = substr($strDate, 4, 2);
	$dia = substr($strDate, -2);
	///exit($anio." - ". $mes . " - ". $dia);
	return $shortMonth[$mes]." ".$dia." ".$anio;
}
	
function getFechaLarga($strFecha){
	$datFecInicio = date_create($strFecha);
	$arrExplode = explode("-" , $strFecha);
	
	$strDia = getDia( date_format($datFecInicio, 'l') );
	$strMes = getMes( date_format($datFecInicio, 'F') );
	
	$strFechaFin2 = $strDia." ". $arrExplode[2]. " de ". $strMes." ". $arrExplode[0];
	
	return $strFechaFin2;
	
}
function getDia($strDia){
	$strDiaNuevo = "";
	
	switch($strDia){
		case "Sunday":
			$strDiaNuevo = "Domingo";
			break;
		case "Monday":
			$strDiaNuevo = "Lunes";
			break;
		case "Tuesday":
			$strDiaNuevo = "Martes";
			break;
		case "Wednesday":
			$strDiaNuevo = "Mi&eacute;rcoles";
			break;
		case "Thursday":
			$strDiaNuevo = "Jueves";
			break;
		case "Friday":
			$strDiaNuevo = "Viernes";
			break;
		case "Saturday":
			$strDiaNuevo = "S&aacute;bado";
			break;
	}
	
	return $strDiaNuevo;
}

function getMes($strMes){
	$strMesNuevo = "";
	
	switch($strMes){
		case "January":
			$strMesNuevo = "Enero";
			break;
		case "February":
			$strMesNuevo = "Febrero";
			break;
		case "March":
			$strMesNuevo = "Marzo";
			break;
		case "April":
			$strMesNuevo = "Abril";
			break;
		case "May":
			$strMesNuevo = "Mayo";
			break;
		case "June":
			$strMesNuevo = "Junio";
			break;
		case "July":
			$strMesNuevo = "Julio";
			break;
		case "August":
			$strMesNuevo = "Agosto";
			break;
		case "September":
			$strMesNuevo = "Septiembre";
			break;
		case "October":
			$strMesNuevo = "Octubre";
			break;
		case "November":
			$strMesNuevo = "Noviembre";
			break;
		case "December":
			$strMesNuevo = "Diciembre";
			break;
	}
	
	return $strMesNuevo;
}

function getAgeByBirthYear($year){
	$currentYear = date("Y");
	$age = $currentYear - intval($year);
	
	return $age;
}

function fnFormatDescripcion($strDescripcion){ // MODIFICACION DE STRDESCRIPCION
	
	$strDescripcion = str_replace("&","&", str_replace("&MODE=1&","", str_replace(">","", str_replace("<","", $strDescripcion))));
	//$strDescripcion = str_replace("&","&", str_replace("&MODE=2&","", str_replace(">","", str_replace("<","", $strDescripcion))));
	$arr = explode("&", $strDescripcion);
	
	$ii=0;
	$strReturn = "";
	foreach ($arr as $valor) {
		if($ii==0){ //SUCURSALES ITEM
			$valor = str_replace("sucursales=","", $valor);
			$arrSucs = explode(",", $valor);
			
			$strSucs = "";
			foreach ($arrSucs as $idSuc) {
				$strSucs .= getSuc($idSuc).",";
			}
			
			$strReturn .= "Sucursales=".substr($strSucs, 0, -1)." | ";
			
		}else{
			$pos = strpos($valor, "random");
			if($pos === false){
				$strReturn .= $valor." | ";
			}
		}
		
		$ii++;
	}
	
	return substr($strReturn, 0, -3);

}

function fnFormatPassword($strPassword){ // MODIFICACION DE STRDESCRIPCION
	$strReturn = "";
	//$strPassword = strlen(strPassword);
	
	for($i=0; $i<strlen($strPassword);$i++){
		$strReturn .= "*";
	}
	return substr($strReturn, 0, strlen($strReturn)-3) . substr($strPassword, -3, 3);

}

function replaceHtmlCaracters($str){
	//$str = str_replace("\r", "<br/>", $str);
	$str = str_replace('\'', '', $str);
	$str = str_replace('\"', '', $str);
	//$str = str_replace('\n', '<br/>', $str);

	$str = str_replace("\r", "\n", $str);
	$str = str_replace("\r", "\\n", $str);
	//$str = preg_replace ( '"' , "" , $str);
	//$str = preg_replace ( "'" , "" , $str);
	//$str = strip_tags($str); 
	
	return $str;
}

function replaceUndefined($s) {
	//$s = strtolower($s);
	
	//$s = ereg_replace("[áàâãªä@]","a",$s);
	$s = str_replace("undefined","",$s);

	//para ampliar los caracteres a reemplazar agregar lineas de este tipo:
	//$s = str_replace("caracter-que-queremos-cambiar”,”caracter-por-el-cual-lo-vamos-a-cambiar”,$s);
	return $s;
}

function asMoney($value) {
  return '$' . number_format($value, 2);
}

function utf8_urldecode($str) { 
	$str = preg_replace("/%u([0-9a-f]{3,4})/i","&#x\\1;",urldecode($str)); 
	return html_entity_decode($str,null,'UTF-8'); 
} 

function reemplazarAcentos($s) {
	
	/*$s = ereg_replace("[áàâãªä@]","&aacute;",$s);
	$s = ereg_replace("[ÁÀÂÃÄ]","&Aacute;",$s);
	$s = ereg_replace("[éèêë]","&eacute;",$s);
	$s = ereg_replace("[ÉÈÊË]","&Eacute;",$s);
	$s = ereg_replace("[íìîï]","&iacute;",$s);
	$s = ereg_replace("[ÍÌÎÏ]","&Iacute;",$s);
	$s = ereg_replace("[óòôõºö]","&oacute;",$s);
	$s = ereg_replace("[ÓÒÔÕÖ]","&Oacute;",$s);
	$s = ereg_replace("[úùûü]","&uacute;",$s);
	$s = ereg_replace("[ÚÙÛÜ]","&Uacute;",$s);*/

	$s = ereg_replace("á","&aacute;",$s);
	$s = ereg_replace("Á","&Aacute;",$s);
	$s = ereg_replace("é","&eacute;",$s);
	$s = ereg_replace("É","&Eacute;",$s);
	$s = ereg_replace("í","&iacute;",$s);
	$s = ereg_replace("Í","&Iacute;",$s);
	$s = ereg_replace("ó","&oacute;",$s);
	$s = ereg_replace("Ó","&Oacute;",$s);
	$s = ereg_replace("ú","&uacute;",$s);
	$s = ereg_replace("Ú","&Uacute;",$s);
	$s = ereg_replace("ü","&uuml;",$s);
	$s = ereg_replace("Ü","&Uuml;",$s);
	$s = ereg_replace("ñ","&ntilde;",$s);
	$s = ereg_replace("Ñ","&Ntilde;",$s);

	return $s;
}

function showFiles($path){
    $dir = opendir($path);
    $files = array();
    while ($current = readdir($dir)){
        if( $current != "." && $current != "..") {
            if(is_dir($path.$current)) {
                showFiles($path.$current.'/');
            }
            else {
                $files[] = $current;
            }
        }
    }
	
	if($path==='./data/' || $path==='./js/' || $path==='./vistas/'){
		echo '<h2>'.$path.'</h2>';
		echo '<ul>';
		for($i=0; $i<count( $files ); $i++){
			$strFile = $files[$i];
			$strFile = str_replace(".php", "", $strFile);
			$strFile = str_replace(".js", "", $strFile);
			
			echo '<li style="height:24px;"><b>'. $strFile . '</b> -> ultima modificacion fue: <b>' . date("F d Y H:i:s.", filemtime($path.$files[$i])) .'</b></li>';
		}
		echo '</ul>';
	}
}

function getPeriodoActivo($intCliente){
	$sJSON = "";
	
	$sqlQuery = "Select strPeriodo, datFechaLiberadoIns FROM tblperiodos WHERE intCliente = ". $intCliente ." AND intActivo=1"; //  order by datfecha asc
	$queryResult = mysql_query($sqlQuery);
	//$totalRows = mysql_num_rows($queryResult);
	
	//if($totalRows>0){
	if($queryResult){
		$fila = mysql_fetch_row($queryResult);
		$strPeriodo = $fila[0];
		$datFechaLiberadoIns = $fila[1];
		
		$sJSON .= '{"strPeriodo":"'.$strPeriodo.'","datFechaLiberadoIns":"'.$datFechaLiberadoIns.'"}';

	}else{
		$sJSON .= "Error, no se puede obtener el periodo activo. ";
	}
	
	return $sJSON;
}

function getPeriodo($intCliente, $datFechaBuscar){
	$sJSON = "";
	
	$sqlQuery = "Select strPeriodo, datFechaLiberadoIns FROM tblperiodos 
	WHERE intCliente = ". $intCliente ." AND '". $datFechaBuscar ."' BETWEEN (left(strPeriodo, 10)) AND (right(strPeriodo, 10))"; 
	
	//'2016-01-21' BETWEEN (left(strPeriodo, 10)) AND (right(strPeriodo, 10))
	
	$queryResult = mysql_query($sqlQuery);
	//$totalRows = mysql_num_rows($queryResult);
	
	//if($totalRows>0){
	if($queryResult){
		$fila = mysql_fetch_row($queryResult);
		$strPeriodo = $fila[0];
		$datFechaLiberadoIns = $fila[1];
		
		$sJSON .= '{"strPeriodo":"'.$strPeriodo.'","datFechaLiberadoIns":"'.$datFechaLiberadoIns.'"}';

	}else{
		$sJSON .= "Error, no se puede obtener el periodo activo. ";
	}
	
	return $sJSON;
}

function guardarPeriodos($intCliente, $strFechaInicio, $bActivarPrimerPeriodo){
	$datFecInicio = date_create($strFechaInicio);
	$sReturn = "";
	
	//DESACTIVO PERIODOS ANTERIORES
	if($bActivarPrimerPeriodo){
		$sqlQuery = "UPDATE tblperiodos SET intActivo = 0 WHERE intCliente = ". $intCliente ."";
		mysql_query($sqlQuery);
	}

	//Obtengo el PLAN pagado
	$strQuery = "SELECT intPago, intPlan FROM tblpagos WHERE intCliente = ".$intCliente." ORDER BY datFechaAlta DESC"; //se trae el ultimo pago efectuado para conocer el plan comprado
	$resultado = mysql_query($strQuery);
	$fila = mysql_fetch_row($resultado);
	$intPago = $fila[0];
	$intPlan = $fila[1];
	
	if($intPago!="" && $intPago!=NULL){
		
		if($intPlan==1){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sJSON = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			
		}
				
		if($intPlan==2){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "1er periodo = ".$sqlQuery. "<br/>";

			//2do periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (2, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "2do periodo = ".$sqlQuery. "<br/>";
			
			//3er periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (3, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "3er periodo = ".$sqlQuery. "<br/>";
			//exit($sReturn);
		}
		
		if($intPlan==3){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "1er periodo = ".$sqlQuery. "<br/>";

			//2do periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (2, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "2do periodo = ".$sqlQuery. "<br/>";
			
			//3er periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (3, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "3er periodo = ".$sqlQuery. "<br/>";

			//4to periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (4, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "4to periodo = ".$sqlQuery. "<br/>";

			//5to periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (5, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "5to periodo = ".$sqlQuery. "<br/>";

			//6to periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (6, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				$sReturn .= "exito,".$sqlQuery;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "6to periodo = ".$sqlQuery. "<br/>";

		}
		
	}else{
		$sReturn .= "error,No se encontro el pago efectuado.";
	}
	
	return $sReturn;
}

function guardarPeriodosOrig($intCliente, $strFechaInicio, $bActivarPrimerPeriodo){
	$datFecInicio = date_create($strFechaInicio);
	$sReturn = "";
	
	//DESACTIVO PERIODOS ANTERIORES
	if($bActivarPrimerPeriodo){
		$sqlQuery = "UPDATE tblperiodos SET intActivo = 0 WHERE intCliente = ". $intCliente ."";
		mysql_query($sqlQuery);
	}

	//Obtengo el PLAN pagado
	$strQuery = "SELECT intPago, intPlan FROM tblpagos WHERE intCliente = ".$intCliente." ORDER BY datFechaAlta DESC"; //se trae el ultimo pago efectuado para conocer el plan comprado
	$resultado = mysql_query($strQuery);
	$fila = mysql_fetch_row($resultado);
	$intPago = $fila[0];
	$intPlan = $fila[1];
	
	if($intPago!="" && $intPago!=NULL){
		
		if($intPlan==1){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sJSON = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			
		}
		
		if($intPlan==2){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			
			//2do periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');

			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (2, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			
		}
		
		if($intPlan==3){
			
			//1er periodo
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');
			
			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			if($bActivarPrimerPeriodo){
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 1 , CURRENT_TIMESTAMP)";
			}else{
				$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (1, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			}
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "1er periodo = ".$sqlQuery. "<br/>";

			//2do periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (2, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			
			$queryResult = mysql_query($sqlQuery);
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "2do periodo = ".$sqlQuery. "<br/>";
			
			//3er periodo
			$datFecInicio = date_create($strFechaFin);
			$datFecInicio = date_add($datFecInicio, date_interval_create_from_date_string('1 days'));	
			$strFechaInicio = date_format($datFecInicio, 'Y-m-d');
			
			$strFechaFin = date_add($datFecInicio, date_interval_create_from_date_string('27 days'));	
			$strFechaFin = date_format($strFechaFin, 'Y-m-d');

			$strPeriodo = $strFechaInicio.":".$strFechaFin;
			
			$sqlQuery = "INSERT INTO tblperiodos (intConsecutivo, intPago, intCliente, strPeriodo, intActivo, datFechaAlta) VALUES (3, ". $intPago .", ". $intCliente .",'". $strPeriodo ."', 0 , CURRENT_TIMESTAMP)";
			$queryResult = mysql_query($sqlQuery);
			
			if($queryResult){
				//$sReturn = "exito,".$datIniPlanFormat;
			}else{
				$sReturn .= "error,".$sqlQuery;
			}
			//$sReturn .= "3er periodo = ".$sqlQuery. "<br/>";
			//exit($sReturn);
		}
		
	}else{
		$sReturn .= "error,No se encontro el pago efectuado.";
	}
	
	return $sReturn;
}

function getDayOfWeek(){
	$arrDays = array("Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado");
	$intDay = date("N", $_SERVER['REQUEST_TIME']);
	
	return $arrDays[$intDay];
}

function replaceConjunciones($strAcambiar){
	$strNueva = str_replace(" Del "," del ",$strAcambiar);
	$strNueva = str_replace(" De "," de ",$strNueva);
	$strNueva = str_replace(" Al "," al ",$strNueva);
	$strNueva = str_replace(" Con "," con ",$strNueva);
	$strNueva = str_replace(" En "," en ",$strNueva);
	$strNueva = str_replace(" A "," a ",$strNueva);
	
	return $strNueva;
}

?>